# Shares 1.10.0 Patch Level 2
**Operating Systems:** Windows
**Date: 05/21/2024** 

This patch includes the following fix:

### Patch Level 2 Fixes
| Issue | Description                                                                                                    |
| ---------- |:-------------------------------------------------------------------------------------------------------------- |
| Aspera/shares#308     | Upgraded JRE to version `1.8.0_362` |

### Patch Level 1 Fixes
| Issue | Description                                                                                                    |
| ---------- |:-------------------------------------------------------------------------------------------------------------- |
| AS-531     | Upgraded JQuery-UI to version 1.13.2 |

### KNOWN ISSUES
| Jira Issue | Description                                                                                     |
| ---------- | ----------------------------------------------------------------------------------------------- |
| AS-357     | New User Self registration with login link is not working                                       |
| AS-358     | Unable to browse ATS node                                                                       |
| ---------- | ----------------------------------------------------------------------------------------------- |

## PATCH INSTRUCTIONS

### Applying the patch for Windows systems:

1. Download and extract the patch file (`IBM_Aspera_Shares_1.10.0_Linux_Patch_Level_2.zip`).

2. Back up all the files in the  (`C:\Shares`) folder.

3. Stop all Shares services with patch files:

    a. Go to **Control Panel > Administrative Tools > Services**.
    
    b. Right click each 'IBM Aspera Shares' service and select **Stop**.
    
4. Run the following command to replace existing files with patch files:

    a. Replace existing files by copying `src` patch files to the appropriate directories in the Shares folder (`C:\Shares\www`).

    b. Replace existing files by copying `lib` patch files to the appropriate directories in the Shares folder (`C:\Shares\statscollector`).

5. Remove the previous version of JQuery-UI: (`C:\Shares\www\public\javascripts\third-party\jquery-ui-1.12.1`)**(Optional)**

6. Restart all Shares services:

    a. Go to **Control Panel > Administrative Tools > Services**.
    
    b. Right click each 'IBM Aspera Shares' service and select **Start**

7. Check the patch level number listed in the footer to confirm the patch was installed correctly. (beneath the version number).


© IBM Aspera. Copyright IBM Corp. 2009, 2024